phpCAS version 1.3.6

Functions | Variables
HTML output
Implementation » Configuration

## Functions
| CAS_Client::_htmlFilterOutput ($str)
| CAS_Client::printHTMLHeader ($title)
| CAS_Client::printHTMLFooter ()
| CAS_Client::setHTMLHeader ($header)
| CAS_Client::setHTMLFooter ($footer)

## Variables
| CAS_Client::$_output_header
| CAS_Client::$_output_footer

## Detailed Description

## Function Documentation

## ◆ _htmlFilterOutput()

CAS_Client::_htmlFilterOutput | ( |  | $str | ) |
| private

This method filters a string by replacing special tokens by appropriate values and prints it. The corresponding tokens are taken into account:

- CAS_VERSION
- PHPCAS_VERSION
- SERVER_BASE_URL

Used by CAS_Client::PrintHTMLHeader() and CAS_Client::printHTMLFooter().

Parameters

  string | $str | the string to filter and output

Returns
  void

Definition at line 75 of file Client.php.

References CAS_Client\_getServerBaseURL(), CAS_Client\getServerVersion(), and phpCAS\getVersion().

Referenced by CAS_Client\printHTMLFooter(), and CAS_Client\printHTMLHeader().

## ◆ printHTMLFooter()

CAS_Client::printHTMLFooter | ( |  | ) |

This method prints the footer of the HTML output (after filtering). If CAS_Client::setHTMLFooter() was not used, a default footer is output.

Returns
  void

See also
  _htmlFilterOutput()

Definition at line 129 of file Client.php.

References CAS_Client\$_output_footer, CAS_Client\_htmlFilterOutput(), CAS_Client\getLangObj(), and phpCAS\getVerbose().

Referenced by CAS_Client\_authError(), CAS_Client\_callback(), CAS_Client\logout(), and CAS_Client\redirectToCas().

## ◆ printHTMLHeader()

CAS_Client::printHTMLHeader | ( |  | $title | ) |

This method prints the header of the HTML output (after filtering). If CAS_Client::setHTMLHeader() was not used, a default header is output.

Parameters

  string | $title | the title of the page

Returns
  void

See also
  _htmlFilterOutput()

Definition at line 101 of file Client.php.

References CAS_Client\_htmlFilterOutput().

Referenced by CAS_Client\_authError(), CAS_Client\_callback(), CAS_Client\logout(), and CAS_Client\redirectToCas().

## ◆ setHTMLFooter()

CAS_Client::setHTMLFooter | ( |  | $footer | ) |

This method set the HTML footer used for all outputs.

Parameters

  string | $footer | the HTML footer.

Returns
  void

Definition at line 166 of file Client.php.

## ◆ setHTMLHeader()

CAS_Client::setHTMLHeader | ( |  | $header | ) |

This method set the HTML header used for all outputs.

Parameters

  string | $header | the HTML header.

Returns
  void

Definition at line 150 of file Client.php.

## Variable Documentation

## ◆ $_output_footer

CAS_Client::$_output_footer
| private

A string used to print the footer of HTML pages. Written by CAS_Client::setHTMLFooter(), read by printHTMLFooter().

See also
  CAS_Client::setHTMLFooter, CAS_Client::printHTMLFooter()

Definition at line 120 of file Client.php.

Referenced by CAS_Client\printHTMLFooter().

## ◆ $_output_header

CAS_Client::$_output_header
| private

A string used to print the header of HTML pages. Written by CAS_Client::setHTMLHeader(), read by CAS_Client::printHTMLHeader().

See also
  CAS_Client::setHTMLHeader, CAS_Client::printHTMLHeader()

Definition at line 90 of file Client.php.